Stage files
Stage files for commit (`git add`).
Stage files for commit (git add).
Authorization
BearerAuth AuthorizationBearer <token>
API key passed as a Bearer token in the Authorization header.
Alternatively, use the leap0-authorization header.
In: header
Path Parameters
sandboxID*string
Unique sandbox identifier.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
path*string
Path to the git repository.
files*array<string>
List of file paths to stage.
Items
1 <= itemsResponse Body
application/json
application/json
application/json
curl -X POST "https://api.leap0.dev/v1/sandbox/string/git/add" \ -H "Content-Type: application/json" \ -d '{ "path": "string", "files": [ "string" ] }'{ "output": "string", "exit_code": 0}{ "message": "string", "errors": [ { "field": "string", "error": "string" } ]}{ "message": "string"}
